sc::SphericalTransformComponentCCA(3)

NAME
sc::SphericalTransformComponentCCA -

SYNOPSIS

Inherits sc::SphericalTransformComponent.

  Public Member Functions
void init (int a, int b, int c, double coef, int pureindex)
Initialize this object.

  Additional Inherited Members

Member Function Documentation

  void sc::SphericalTransformComponentCCA::init (inta, intb, intc, doublecoef, intpureindex) [inline], [virtual]

Initialize this object. This must be provided in all specializations of this class to establish the ordering between a, b and c and the index of the Cartesian basis function. Other things such as adjustment of the coefficient to account for normalization differences can be done as well. The default SphericalTransform::init() implementation requires that only the xl , yl and zl basis functions are normalized to unity.

Implements sc::SphericalTransformComponent.

References sc::SphericalTransformComponent::a(), sc::SphericalTransformComponent::b(), sc::SphericalTransformComponent::c(), sc::SphericalTransformComponent::coef(), and sc::SphericalTransformComponent::pureindex().

Author

Generated automatically by Doxygen for MPQC from the source code.